This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 11694 - "best representation" does not define how to normalize decimal part of second
Summary: "best representation" does not define how to normalize decimal part of second
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-07 19:27 UTC by contributor
Modified: 2011-08-04 05:03 UTC (History)
5 users (show)

See Also:


Attachments

Description contributor 2011-01-07 19:27:50 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/common-microsyntaxes.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#global-dates-and-times

Comment:
"best representation" does not define how to normalize decimal part of second

Posted from: 81.234.240.182 by philip@foolip.org
Comment 1 Philip J├Ągenstedt 2011-01-07 19:33:16 UTC
For example, what is the "best representation" of these dates:

2010-01-01T01:02:03.0Z
2010-01-01T01:02:03.0100Z
2010-01-01T01:02:03.999999999999999999999999999999999999999999999999999999999999999999999999999Z (something that can't be represented exactly be any integeger or float type)

?
Comment 2 Ian 'Hixie' Hickson 2011-02-08 00:56:40 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: 

Re comment 1  respectively:

2010-01-01T01:02:03-00:00
2010-01-01T01:02:03.01-00:00
2010-01-01T01:02:03.999999999999999999999999999999999999999999999999999999999999999999999999999-00:00

I'm happy to add more constraints on this if you like. What constraints would you like?
Comment 3 contributor 2011-02-08 00:56:57 UTC
Checked in as WHATWG revision r5848.
Check-in comment: Clarify what the best representation of a datetime is.
http://html5.org/tools/web-apps-tracker?from=5847&to=5848
Comment 4 Michael[tm] Smith 2011-08-04 05:03:46 UTC
mass-moved component to LC1